@charset "UTF-8";

body {
    font-family: "Noto Sans JP";
    background-color: #fff;
}

.margin {
    margin-left: 5.3rem;
    margin-right: 5.3rem;
}

/**/
header {
    position: fixed;
    width: 100%;
    padding: 1rem;
    z-index: 999;
}

.header-moji {
    display: flex;
    justify-content: space-between;
    color: #52489C;
    background-color: rgba(255, 255, 255, 0.5);
}

.ho-moji-matome {
    display: flex;
    gap: 1rem;
}

.ho-moji {
    color: #52489C;
}

.ho-moji:hover {
    color: #F45B69;
}

#zen-tes {
    position: relative;
    height: 50vh;
    overflow: hidden;
    margin: 0 2rem 2rem 2rem;
}

.zen-teshe {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;

    display: flex;
    justify-content: center;
    align-items: center;
    width: 60rem;
    height: 12rem;
    color: #fff;
    font-size: 8rem;
    font-weight: 900;
    font-style: normal;
    background-color: #52489C;
    border-radius: 40px;
    box-shadow: 5px 5px 4px 0px rgba(0, 0, 0, 0.25);
}

.zen-teshe:hover {
    transform: translate(-50%, -45%);
    box-shadow: none;
}

/*  */
.l-test {
    display: flex;
    justify-content: center;

    margin-bottom: 2rem;
}

.l-test__title {
    text-align: center;

    margin-top: 6.62rem;
    margin-bottom: 8rem;
}

.l-test__title_q {
    text-align: center;
}

.l-test__title_p {
    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 6rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}

.l-test__title_p_q {
    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 6rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}

.l-test__title_p_mogi {
    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 6rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}


.l-test__title_sub {
    margin: 0 auto;

    background-color: #59C3C3;
    border-radius: 3.75rem;
    flex-shrink: 1;
    margin-bottom: 2.06rem;

    max-width: 69.375rem;
    max-height: 20rem;

    padding: 5rem 3rem 5rem 3rem;
}

.l-test__title_sub_2 {
    margin: 0 auto;

    background-color: #59C3C3;
    border-radius: 3.75rem;
    flex-shrink: 1;
    margin-bottom: 2.06rem;

    max-width: 69.375rem;
    max-height: 20rem;

    padding: 5rem 3rem 5rem 3rem;
}

.l-test__title_sub_p {
    display: flex;
    justify-content: center;

    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 3rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}

.l-test__flame {
    background-color: #ffffff;
    border-radius: 3.75rem;
    border: 1px solid #52489C;

    width: 69.375rem;
    height: 40rem;
}

.l-test__flame_q {
    background-color: #ffffff;
    border-radius: 3.75rem;
    border: 1px solid #52489C;

    margin-top: 5rem;
    width: 69.375rem;
    height: 28rem;
}

.l-test__flame_kaito {
    background-color: #ffffff;
    border-radius: 3.75rem;
    border: 1px solid #52489C;

    width: 69.375rem;
    height: 30rem;
}

.l-test__flame_kaito_2 {
    background-color: #ffffff;
    border-radius: 3.75rem;
    border: 1px solid #52489C;

    width: 69.375rem;
    height: 33rem;
}

.l-test__flame_kaito_3 {
    background-color: #ffffff;
    border-radius: 3.75rem;
    border: 1px solid #52489C;

    width: 69.375rem;
    height: 30rem;
}



.l-test__content {
    margin: 0;
}

.l-test__content_title {
    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 3rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    margin-top: 4.25rem;
    margin-left: 4rem;
}

.l-test__content_title_q {
    color: #ffffff;
    text-shadow: 1px 1px 0 #52489C, -1px -1px 0 #52489C,
        -1px 1px 0 #52489C, 1px -1px 0 #52489C,
        1px 0 0 #52489C, -1px 0 0 #52489C,
        0 1px 0 #52489C, 0 -1px 0 #52489C;

    font-size: 3rem;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    margin-top: 1rem;
    margin-left: 4rem;
}

.l-test__content_flex {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    margin-top: 7rem;
    margin-bottom: 8rem;
}

.l-test__content_flex_kaito {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.l-test__content_flex_2 {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 7rem;
    margin-right: 1rem;
    margin-left: 1rem;
}

.l-test__content_flex_q {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    margin-top: 3rem;
    margin-bottom: 1rem;
}

.l-test__content_color {
    display: flex;
}

.l-test__content_img {
    width: 8.9375rem;
    height: 8.9375rem;
}

.l-test__content_p {
    color: #52489C;
    margin-top: 7rem;
}

.l-test__content_p_2 {
    color: #52489C;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;

    margin-top: 2rem;
    margin-left: 7rem;
}

.l-test__content_span {
    color: #52489C;
    font-size: 2.25rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}


/* Q */
.l-test__content_radio_item {
    display: flex;
    align-items: center;
    column-gap: 0.5rem;
    width: fit-content;
    line-height: 1;
    cursor: pointer;
    color: #52489C;
}

.l-test__content_radio_item:not(:last-of-type) {
    margin-bottom: 1rem;
}

.l-test__content_radio_2 {
    display: flex;
    gap: 1rem;
}

.l-test__content_radio_item_2 {
    display: flex;
    align-items: flex-end;
    column-gap: 0.3rem;
    width: fit-content;
    line-height: 1;
    cursor: pointer;
    color: #52489C;
}

.l-test__content_radio_img {
    width: 8.9375rem;
    height: 8.9375rem;
}

.l-test__content_radio_img_2 {
    width: 8rem;
    height: 8rem;
}

.radio {
    appearance: none;
    position: relative;
    width: 1.875rem;
    height: 1.875rem;
    border-radius: 0.3rem;
    background-color: #D9D9D9;
    cursor: pointer;
}

.radio:checked {
    background-color: #D9D9D9;
}

.radio:checked::after {
    content: "";
    position: absolute;
    top: 0.6rem;
    left: 0.45rem;
    width: 1rem;
    height: 0.5rem;
    border-bottom: 2px solid #52489C;
    border-left: 2px solid #52489C;
    transform: rotate(-45deg);
}

.l-test__kaito {
    display: flex;
    justify-content: center;
}

.l-test__kaito_p {
    color: #52489C;
    font-size: 2rem;
}

.l-test__q-a {
    display: flex;
    justify-content: center;
}

.l-test__q-a p {
    color: #52489C;
    font-size: 2rem;
    font-weight: 600;
}





















.inner-block {
    position: relative;
    width: calc(100% - 60px);
    margin: 0 auto;
    max-width: 1000px;
}

.quiz {
    min-height: 100vh;
    padding: 100px 0;
}

.quiz-content {
    border: 1px solid #52489C;
    border-radius: 5rem;
    background-color: rgba(#fff, 0.4);
    position: relative;
}

.quiz-list {
    list-style: none;
}

.quiz-question-number {
    text-align: center;
    font-size: 26px;
    font-weight: bold;
    border-bottom: 1px solid #52489C;
    padding: 20px;
}

.quiz-question {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.8;
    margin-bottom: 40px;
    position: relative;
    text-align: center;
    padding: 30px 200px 0px;
    color: #000;
}

.quiz-answer {
    display: grid;
    position: relative;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 0 200px 100px;

    li {
        position: relative;

        label {
            color: #222;
            display: block;
            margin: 0 auto;
            height: 60px;
            display: flex;
            align-items: center;
            width: 100%;
            padding: 4px 20px 4px 80px;
            font-weight: bold;
            font-size: 18px;
            line-height: 1.16;
            position: relative;
            transition: 0.3s ease-in-out;
            border: 1px solid #000;
            white-space: pre-wrap;

            &:hover {
                background-color: rgba(0, 0, 0, 0.1);
            }
        }
    }
}


.quiz-answer {
  display: grid;
  position: relative;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  padding: 0 200px 100px;
  &::before {
    position: absolute;
    width: 200px;
    height: 200px;
    font-size: 200px;
    opacity: 0.7;
    top: -40px;
    left: 0;
    right: 0;
    margin: auto;
    font-weight: bold;
    line-height: 1;
    text-align: center;
    z-index: 2;
    pointer-events: none;
  }
  &.is-correct {
    .checked {
      background: #ffb3b3;
    }
    &::before {
      content: "〇";
      color: #ffb3b3;
      opacity: 0.5;
    }
  }
  &.is-incorrect {
    .checked {
      background: #b3c7ff;
    }
    &::before {
      content: "×";
      color: #b3c7ff;
    }
  }
  li {
    position: relative;
    label {
      color: #222;
      display: block;
      margin: 0 auto;
      height: 60px;
      display: flex;
      align-items: center;
      width: 100%;
      padding: 4px 20px 4px 80px;
      font-weight: bold;
      font-size: 18px;
      line-height: 1.16;
      position: relative;
      transition: 0.3s ease-in-out;
      border: 1px solid #000;
      white-space: pre-wrap;
      &:hover {
        background-color: rgba(0, 0, 0, 0.1);
      }
      &.is-checked {
        pointer-events: none;
      }
    }
    &::after {
      position: absolute;
      text-align: center;
      font-size: 20px;
      font-weight: bold;
      content: "";
      width: 60px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      top: 0;
      bottom: 0;
      left: 0;
      margin: auto;
      z-index: 1;
      pointer-events: none;
      border-right: 1px solid #000;
    }
    &:nth-child(1)::after {
      content: "A";
    }
    &:nth-child(2)::after {
      content: "B";
    }
    &:nth-child(3)::after {
      content: "C";
    }
    &:nth-child(4)::after {
      content: "D";
    }
  }
}
 
 
.finish {
  display: none;
  text-align: center;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #000000;
  z-index: 3;
  &.is-show {
    display: flex;
  }
  .score-wrap {
    text-align: center;
    color: #fff;
    .score {
      font-size: 80px;
      font-weight: bold;
    }
    .ja {
      font-size: 34px;
    }
    .full {
      font-size: 24px;
    }
  }
  .goback-button {
    font-size: 14px;
    color: #fff;
    margin-top: 30px;
    display: inline-block;
  }
}

.quiz-image-wrap {
  text-align: center;
  margin: 20px 0;
}

.quiz-image {
  max-width: 10rem;
  width: 100%;
  height: auto;
}